1. Computer problem? Tech Support Guy is completely free -- paid for by advertisers and donations. Click here to join today! If you're new to Tech Support Guy, we highly recommend that you visit our Guide for New Members.

Debian Compling X programs

Discussion in 'Linux and Unix' started by Whiteskin, Oct 2, 2003.

Thread Status:
Not open for further replies.
Advertisement
  1. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
    I Cnat seem to comple any programs that run under X in Debian. I think that they put the X programs etc somwhere wierd, but i cant know where, and want to know where they normaly are so i can symlink the directories
     
  2. lynch

    lynch

    Joined:
    Aug 3, 2002
    Messages:
    1,961
    Look in /usr/X11R6/
    Why dont you use apt-get?
    Debian is hands-on for everything. Do your compilations complete without errors?
    HTH
    lynch
     
  3. deuce868

    deuce868

    Joined:
    Nov 2, 2000
    Messages:
    637
    yea, I try not to do a lot of my own compiling in debian. If you alter something that is being handled by apt it will get overwritten if you aren't careful.
     
  4. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
    Well, i cant compile because i dont get by ./configure. It goes threough the list, but when it gets to X it exits saying X libraries not found. I know for a fact that everything is installed, cause i use X daily.
     
  5. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
    I'm reading the apt how to and i dont get how i can use it to compile fluxbox from source?

    Can some one please give me an example?
     
  6. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
  7. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
    NOpe I dont get it. I'm So horribly confused. Please SOmebody... HELP!
     
  8. lynch

    lynch

    Joined:
    Aug 3, 2002
    Messages:
    1,961
    What version of Fluxbox?Maybe it's looking for newer x libraries .Did you download the official Debian version ?
    HTH
    lynch
     
  9. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
    I'm trying out the unstable version 0.9

    http://fluxbox.org/version-0.9.php

    There is no package (as far as i can tell) for 0.9.6pre1

    I have the libs installed. But this happens for any app that i'd like to build from source that happens to use X. I think that its because Debian has put them somwhere wierd to allow Xv4 and Xv3 to coexist.
     
  10. Whiteskin

    Whiteskin Thread Starter

    Joined:
    Nov 15, 2002
    Messages:
    1,964
    It turns out that you MUST have the xlib-dev package installed, because the base xlibs package is lacking.
     
  11. Sponsor

As Seen On
As Seen On...

Welcome to Tech Support Guy!

Are you looking for the solution to your computer problem? Join our site today to ask your question. This site is completely free -- paid for by advertisers and donations.

If you're not already familiar with forums, watch our Welcome Guide to get started.

Join over 733,556 other people just like you!

Loading...
Thread Status:
Not open for further replies.

Short URL to this thread: https://techguy.org/169162

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice